macOS Monterey Statement

Kazrog is in the process of thoroughly testing in supported hosts in macOS Monterey. While there is nothing in our plugins that should be incompatible with the new release, we strongly caution users against upgrading to macOS Monterey at this time.

In particular, as of this writing, Avid does not support running Pro Tools in macOS Monterey. If you use Pro Tools, please do not upgrade to macOS Monterey, as you will experience crashes (as several of our users already have.) We plan to support AAX format in Monterey as soon as Avid supports Monterey.

We plan to issue a more detailed compatibility statement once more testing is complete.

Leave a comment

Please note, comments must be approved before they are published